#include "mytype.h"

/* Build with
 * 
 * gcc mytype.c -shared -fPIC -o libmytype.so `pkg-config --libs --cflags glib-2.0`
 * g-ir-scanner mytype.h mytype.c --library=mytype -L`pwd` --namespace=Mytype --add-include-path=. `pkg-config --cflags glib-2.0` --warn-all
 */

Mytype * mytype_new()
{
    return g_new0(Mytype, 1);
}
void mytype_set_data(Mytype *self, gpointer data)
{
    self->data = data;
}
